Mailinglist Archive: opensuse-factory (807 mails)

< Previous Next >
Re: [opensuse-factory] nm-applet fails to start
On Wed, 2017-02-01 at 22:38 +0100, Michael Ströder wrote:
Dominique Leuenberger / DimStar wrote:
On Wed, 2017-02-01 at 22:16 +0100, Manfred Hollstein wrote:
Moin,

Is libnma-data installed?

just a shot in the dark: is libnma-data *required* (i.e. _not
just_
recommended) by nm-applet? This is really something that is
missing
in
some packages from my point of view, in case this is relevant
here.
There are too many packages which rely on "Recommends:" too much
for
their actual usage. If a package requires some other package, it
should
just not be _recommended_. There are some people out there who
would
like to have _just_ the *required* softpage/packages installed; I
was
just hit by this issue, when trying to get everything installed
as an
XFCE user to allow gtk3 themes to work properly...


Nah - this time it's simply a packaging bug - that should not have
happened.

Hence the question if the package is missing - then the dep might
be
all that's wrong, or if the package is installed and it still does
not
work, more has to be wrong.

No, libnma-data was already installed.

Even forcing reinstall of libnma-data (and libnma0) did not help.

Is there some step which could (silently) fail when installing
libnma-data?

ok, then I think we're looking at a missing post script in this
package..

please run (as root):
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

and test again

Cheers
Dominique
< Previous Next >
Follow Ups